POST V1/RateAndTariff.{ext}/RateInventoryMapping?rtMappingFileId={rtMappingFileId}&clientId={clientId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
rtMappingFileId

No description available

string

Required

clientId

No description available

string

Default value is

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.RateAndTariff.Entities.RateMappingInventories
NameDescriptionTypeAdditional information
RateMappingInventory

No description available

Collection of EMS.RateAndTariff.Entities.RateMappingInventory

None.

Request Formats

application/json, text/json

Sample:
{
  "rateMappingInventory": [
    {
      "rateInventoryMappingId": "sample string 1",
      "rateId": "sample string 2",
      "rateName": "sample string 3"
    },
    {
      "rateInventoryMappingId": "sample string 1",
      "rateId": "sample string 2",
      "rateName": "sample string 3"
    }
  ]
}

application/xml, text/xml

Sample:
<RateMappingInventories xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.RateAndTariff.Entities">
  <RateMappingInventory>
    <RateMappingInventory>
      <RateId>sample string 2</RateId>
      <RateInventoryMappingId>sample string 1</RateInventoryMappingId>
      <RateName>sample string 3</RateName>
    </RateMappingInventory>
    <RateMappingInventory>
      <RateId>sample string 2</RateId>
      <RateInventoryMappingId>sample string 1</RateInventoryMappingId>
      <RateName>sample string 3</RateName>
    </RateMappingInventory>
  </RateMappingInventory>
</RateMappingInventories>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResult
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResult

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResult",
  "response": {
    "status": "sample string 1",
    "message": "sample string 2",
    "result": "sample string 3"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.